DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# UniformNoise

Generate an image disturbed by uniform noise

## SYNOPSIS

`#include "dip_noise.h"`

dip_Error dip_UniformNoise ( in, out, lowerBound, upperBound, random )

## DATA TYPES

integer, float

## FUNCTION

Generate an image disturbed by additive uniform noise. See `UniformRandomVariable` for more information on the random number generator.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output
`dip_float` | `lowerBound` | Lower bound of the uniform distribution the noise is drawn from
`dip_float` | `upperBound` | Upper bound of the uniform distribution the noise is drawn from
`dip_Random *` | `random` | Pointer to a random value structure

## EXAMPLE

Get a image with additive uniform noise as follows:

       dip_Image in, out;
       dip_float lower, upper;
       dip_Random random;

       lower = 1.0;
       upper = 10.0;
       DIPXJ( dip_RandomSeed( &random, 0 ));
       DIPXJ( dip_UniformNoise( in, out, lower, upper, &random ));

## SEE ALSO

`UniformRandomVariable`, `RandomVariable`, `RandomSeed`, `RandomSeedVector`, `GaussianNoise`, `PoissonNoise`, `BinaryNoise`